//-----------------------------------------------------//
// TUTORIAL1 - C'est quoi un fichier Ressource ?       //
// par Lionel ROUVAREL  lionel27@club-internet.fr      //
// Ce Tutorial a t trouv sur le site LioCity        //
// LioCity --> http://perso.club-internet.fr/lionel27  //
//-----------------------------------------------------//

unit tutorialUnit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  la_tete : TBitMap; // nom de la variable qui fera rfrence au dessin du fichier DESSINS.RES

implementation
{$R *.DFM}
{$R dessins.res}  // permet d'inclure le fichier Dessins.res
                  // contenant les dessins

// lorsqu'on sort du programme on libere la mmoire de tous les dessins
procedure TForm1.Button2Click(Sender: TObject);
begin
  la_tete.Free; // liberer la place en mmoire de l'image
  halt; // arrt du programme
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
//  Canvas.Draw(12,20,la_tete); // afficher la tete en x=12 et y=20
  Canvas.Draw(random(100)+1,random(100)+1,la_tete); // afficher la tete en 1<x<100 et 1<y<100
end;

// A la cration de la fentre on reserve la place en mmoire des images
// et on met les images dans cette place
procedure TForm1.FormCreate(Sender: TObject);
begin
  la_tete := TBitMap.Create; // crer une variable tete de type image
  la_tete.LoadFromResourceName(HInstance,'TETE'); // associe  la variable la_tete le
                                                  // dessin qui s'appelle TETE
                                                  // dans le fichier DESSINS.RES
end;

end.
